#' Sum columns in data frame df where some of the entries might be NA
#'
#' @param df data frame
#' @param var1 first column
#' @param var2 second column
#' @param outVar which variable to store sum into
#' @param valIfNA which value to use for NA
#'
#' @return updated data frame
#' @export 
#'
## examples df<-sumWithNA(df,'lesionmtv41','metastasesmtv41','totalmtv41',0)

sumWithNA<-function(df,var1='lesionmtv41',var2='metastasesmtv41',outVar='totalmtv41',valIfNA=0){
   v1=df[,var1]
   v2=df[,var2]
   v1[is.na(v1)]=valIfNA
   v2[is.na(v2)]=valIfNA
   df[,outVar]=v1+v2
   df
      
}

